<?php

namespace Crm\Advertisement\Seeders;

use Illuminate\Support\Facades\DB;
use Illuminate\Database\Seeder;

class AdvertisementTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('crm_advertisement_advertisements')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'crm.advertisement.advertisement.view',
                'name'      => 'View Advertisement',
            ],
            [
                'slug'      => 'crm.advertisement.advertisement.create',
                'name'      => 'Create Advertisement',
            ],
            [
                'slug'      => 'crm.advertisement.advertisement.edit',
                'name'      => 'Update Advertisement',
            ],
            [
                'slug'      => 'crm.advertisement.advertisement.delete',
                'name'      => 'Delete Advertisement',
            ],
            
            
                    ]);

        DB::table('menus')->insert([
        
            // Admin menu
            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/advertisement/advertisement',
                'name'        => 'Advertisement',
                'description' => null,
                'icon'        => 'las la-scroll',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],
            
            // User menu.
            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/advertisement/advertisement',
                'name'        => 'Advertisement',
                'description' => null,
                'icon'        => 'las la-scroll',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            // Public menu.
            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'advertisement',
                'name'        => 'Advertisement',
                'description' => null,
                'icon'        => 'las la-scroll,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Advertisement',
                'module'    => 'Advertisement',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'crm.advertisement.advertisement.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
